:root {
	--max-width: 1400px;
}

html { height: 100%; }
body { 
	min-height: 100%; 
	background-color: rgba(31,21,31,0.05);
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.login {
    text-align: center;
    width: 90%;
    max-width: 275px;
	background-color: rgba(31,21,31,1);
    border-radius: 20px;
    padding-top: 15px;
}

.login > div {
    text-align: center;
    border: 1px dashed rgba(31,21,31,1);
    border-top: none;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    padding: 20px;
	background-color: #ffffff;
}

.login img {
    width: 90%;
    max-width: 200px;
    margin-bottom: 15px;
}

.niceFormInput,
.niceFormSelect {
	position: relative;
	padding-bottom: 10px;
}

.niceFormInput input,
.niceFormInput textarea,
.niceFormInput select {
	outline: none;
	width: 100%;
	position: relative;
	box-sizing: border-box;
	padding: 12px 10px 2px 10px;
}

.niceFormInput label {
	position: absolute;
	pointer-events: none;
	top: 10px;
	left: 10px;
	color: rgba(0, 0, 0, 0.5);
	transition: all 0.3s ease-in;
	font-size: 12px;
	letter-spacing: 1px;
	text-align: left;
}

.niceFormInput label.niceFormInputFocus {
	color: rgba(0, 0, 0, 0.3);
	top: 1px;
	padding-right: 25px;
	letter-spacing: 0px;
	font-size: 11px;
}

.niceFormInput label {
	z-index: 2;
}

.has-error {
	border: 2px solid red;
}

.nav {
	width: 100%;
	padding: 10px 15px;
	background-color: rgba(31,21,31,1);
}

.nav-flex {	
	width: 100%;
	max-width: var(--max-width);
	margin: 0 auto;
	display: flex;
    align-items: center;
    flex-direction: row;
	justify-content: space-between;
}

.nav-flex > .logo > a > img {
	width: 175px;
}

.nav-links > a { 
	display: inline-flex;
	flex-direction: column;
	align-items: center;
	text-decoration: none;
	color: rgba(255,255,255,0.5);
	font-size: 8.5px; 
	margin: 0 clamp(5px, 1.8vw, 20px);
}

.nav-links > a:last-child { 
	margin-right: 0;
}

.nav-links > a:hover,
.nav-links > a.active { 
	color: white;
}

.nav-links > a > .bi { 
	font-size: 3em; 
}

.nav-links .bi-box-arrow-right { color: red; }

.content {
	max-width: var(--max-width);
	margin: 0 auto;
	overflow-y: hidden;
	overflow-x: hidden;
}

.cardbox {	
	max-width: calc(100% - 5px);
    margin: 10px auto;
	padding: 10px;
	background-color: white;

	box-shadow: rgba(31, 21, 31, 0.25) 0px 50px 100px -20px, rgba(31, 21, 31, 0.3) 0px 30px 60px -30px, rgba(31, 21, 31, 0.35) 0px -2px 6px 0px inset;

	box-shadow: 0 0 3px 0 rgba(0,0,0,0.45) inset;
}

.page-title {
	font-size: 1.5em;
	margin-top: 10px;
}

.title-inset {
	background-color: #ccc;
	color: transparent;
	font-weight: bold;
	text-shadow: 2px 2px 3px rgba(255,255,255,0.5);
	-webkit-background-clip: text;
	-moz-background-clip: text;
	background-clip: text;
	padding: 0 10px;
}

.clear-bottom-padding-D {
	padding-bottom: 0 !important;
}

.small-note {
	font-size: 0.8em;
	color: rgba(0,0,0,0.25);
}


.stats-table th {
	text-align: center;
	vertical-align: bottom;
}

.stats-table td {
	text-align: center;
	vertical-align: top;
	white-space: nowrap;
	padding: 8px 8px;
	font-size: 14px;
	opacity: 0.8;
}

.stats-table th:first-of-type,
.stats-table td:first-of-type {
	text-align: left;
	/*white-space: unset;*/
	padding: 8px;
	font-size: 16px;
	opacity: 1;
}

.stats-table td:last-of-type {
	padding: 8px;
	opacity: 1;
}

.stats-table th:nth-of-type(1),
.stats-table td:nth-of-type(1),
.stats-table th:nth-of-type(5),
.stats-table td:nth-of-type(5),
.stats-table th:nth-of-type(8),
.stats-table td:nth-of-type(8),
.stats-table th:nth-of-type(11),
.stats-table td:nth-of-type(11) {
	border-right-width: 3px;
}

.stats-table .bi-pencil-square {
	color: orange;
}

.stats-table .bi {
	cursor: pointer;
}

.stats-table .bi.bi-dot {
	cursor: auto;
	color: rgb(0,205,0);
	cursor: auto;
    color: transparent;
    background-color: rgb(0,205,0);
    border-radius: 50%;
    width: 7px;
    height: 7px;
    display: inline-block;
    margin: 0 2px 0 8px;
    position: relative;
    top: 8.5px;
}

.stats-table .bi.bi-dot.red {
	background-color: red;
}

tr.tr-destination {
	background-color: rgba(31,21,31,1);
}
tr.tr-destination  td {
	color: #ffffff;
}

tr.tr-landing-page {
	background-color: rgba(31,21,31,0.2);
}

tr.tr-total {
	background-color: rgba(183,139,42,0.35);
}
tr.tr-total  td {
	font-weight: bold;
}

.stats-table .full-path-table {
	font-size: 10px;
	opacity: 0.5;
}

.chart-color-preview {
	display: inline-block;
	background-color: var(--chart-color);
	aspect-ratio: 1 / 1;
    width: 30px;
	margin-right: 10px;
}

.stats-table.compare-table td {
	vertical-align: middle;
}

.stats-table.compare-table td:last-of-type {
	opacity: 0.8;
}

.stats-table.compare-table th:nth-of-type(11),
.stats-table.compare-table td:nth-of-type(11) {
	border-right-width: 1px;
}

.small-input .form-control,
.small-input .form-select,
.small-input .btn {
	font-size: 0.75em;
	padding: 2px 5px;
}

.compare-selected-btn {
	display: none;
	position: fixed;
	bottom: 10px;
	right: 10px;
	border-radius: 50%;
	border: 1px solid darkgreen;
	background-color: green;
	color: white;
	font-size: 26px;
	text-align: center;
	width: 80px;
	aspect-ratio: 1 / 1;
	cursor: pointer;
}
.compare-selected-btn > div {
	font-size: 9px;
	text-transform: uppercase;
    letter-spacing: 0.6px;
}

.compare-selected-btn:hover {
	background-color: darkgreen;
}

.chart-type-selector {
	display: flex;
	justify-content: end;
}

.chart-type-selector img { 
	margin: 0 5px; 
	border: 1px solid #cccccc;
    border-radius: 5px;
}

.search-table {
	position: fixed;
	bottom: 10px;
	left: 10px;
	background-color: #FFF3CD;
	border: 1px solid #cccccc;
	border-radius: 5px;
	padding: 10px;
	z-index: 2;
}

.search-found-element {
    outline: 5px solid #9acd32;
}

#found-mathes-count,
#found-no-mathes {
	color: green;
    font-size: 12px;
    text-align: center;
    position: absolute;
    top: -25px;
    right: 0;
    width: 100%;
    background-color: #FFF3CD;
    border: 1px solid #cccccc;
	display: none;
}

#found-no-mathes {
	color: red;
}

@media (max-width: 768px) {
	.nav-flex {
		flex-direction: column;
		justify-content: center;
		padding: 5px;
	}
	.nav-links { margin-top: 10px; }
	.nav-links > a {
		font-size: 8px;
	}
	.clear-bottom-padding-D {
		padding-bottom: 10px !important;
	}
}